#-----------------------------------------------------------------------------
%define		dist		.ok
#-----------------------------------------------------------------------------
Name		:	libmateweather
Version		:	1.27.0
Release		:	14.4.0.0%{?dist}
Summary		:	A library for weather information
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gettext
BuildRequires	:	glib-devel
BuildRequires	:	intltool
BuildRequires	:	libsoup2
BuildRequires	:	libxml2-devel

Requires	:	glib-devel
Requires	:	p11-kit-trust

#-----------------------------------------------------------------------------
%description
libmateweather is a library to access weather information from online
services for numerous locations.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/%{name}.so.*
%{_datadir}/icons/hicolor/scalable/status/weather-*.svg
%{_datadir}/icons/hicolor/*/status/weather-*.png
%{_datadir}/%{name}/locations.dtd
#{_datadir}/%{name}/Locations.xml
#{_datadir}/%{name}/Locations.*.xml
%{_datadir}/%{name}/Locations.*.gz
%{_datadir}/glib-2.0/schemas/org.mate.weather.gschema.xml

#-----------------------------------------------------------------------
%post
/usr/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas >> /var/log/%{name}-yum.log 2>&1

%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas >> /var/log/%{name}-yum.log 2>&1
  fi

#=============================================================================
%package		devel
Summary		:	Development files for libmateweather

Requires	:	%{name}

#-----------------------------------------------------------------------
%description		devel
The libmateweather-devel package contains header files for
developing applications that use libmateweather.

#-----------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-static				\
	--disable-python				\
	--enable-locations-compression			\

#https://bugzilla.gnome.org/show_bug.cgi?id=656231
sed -i							\
  -e 's/ -shared / -Wl,-O1,--as-needed\0/g'		\
  libtool

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------
%changelog
